package com.huiju.estateagents.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.CommConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.huiju.estateagents.service.ITdShopBadgeService;
import com.huiju.estateagents.entity.TdShopBadge;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    * 商户外卖标签  前端控制器
    * </p>
 *
 * @author yansen
 * @since 2020-11-05
 */

@Api(tags = "商户外卖标签 ")
@RestController
@RequestMapping("/api")
public class TdShopBadgeController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TdShopBadgeController.class);

    @Autowired
    public ITdShopBadgeService iTdShopBadgeService;


    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/{client}/shop-badge",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean tdShopBadgeList(@ApiParam(value = "客户端", allowableValues = "wx,admin") @PathVariable String client,
                                        @ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
									    @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{

		    IPage<TdShopBadge> pg = new Page<>(pageNum, pageSize);
            QueryWrapper<TdShopBadge> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("status", CommConstant.STATUS_NORMAL);
            queryWrapper.orderByAsc("sort_no");

            IPage<TdShopBadge> result = iTdShopBadgeService.page(pg, queryWrapper);
            return ResponseBean.success(result);
    }
//
//    /**
//     * 保存对象
//     * @param tdShopBadge 实体对象
//     * @return
//     */
//    @RequestMapping(value="/tdShopBadge",method= RequestMethod.POST)
//    @ApiOperation(value="保存", notes = "保存", httpMethod = "POST", response = ResponseBean.class)
//    public ResponseBean tdShopBadgeAdd(@ApiParam("保存内容") @RequestBody TdShopBadge tdShopBadge) throws Exception{
//
//        if (iTdShopBadgeService.save(tdShopBadge)){
//            return ResponseBean.success(tdShopBadge);
//        }else {
//            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id删除对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/tdShopBadge/{id}", method= RequestMethod.DELETE)
//    @ApiOperation(value="删除", notes = "删除", httpMethod = "DELETE", response = ResponseBean.class)
//    public ResponseBean tdShopBadgeDelete(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        if(iTdShopBadgeService.removeById(id)){
//            return ResponseBean.success("success");
//        }else {
//            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 修改对象
//     * @param id  实体ID
//     * @param tdShopBadge 实体对象
//     * @return
//     */
//    @RequestMapping(value="/tdShopBadge/{id}",method= RequestMethod.PUT)
//    @ApiOperation(value="更新", notes = "更新", httpMethod = "PUT", response = ResponseBean.class)
//    public ResponseBean tdShopBadgeUpdate(@ApiParam("对象ID") @PathVariable Integer id,
//                                        @ApiParam("更新内容") @RequestBody TdShopBadge tdShopBadge) throws Exception{
//
//        if (iTdShopBadgeService.updateById(tdShopBadge)){
//            return ResponseBean.success(iTdShopBadgeService.getById(id));
//        }else {
//            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id查询对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/tdShopBadge/{id}",method= RequestMethod.GET)
//    @ApiOperation(value="详情", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean tdShopBadgeGet(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        return ResponseBean.success(iTdShopBadgeService.getById(id));
//    }
}
